package entities;

import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

@Entity
public class SimpleEntity implements Serializable {

    @Id
    private Integer id;
    private String someColumn;
    
    public SimpleEntity() {
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public int hashCode() {
        int hash = 0;
        hash += (this.getId() != null ? this.getId().hashCode() : 0);
        return hash;
    }

    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof SimpleEntity)) {
            return false;
        }
        SimpleEntity other = (SimpleEntity)object;
        if (this.getId() != other.getId() && (this.getId() == null || !this.getId().equals(other.getId()))) return false;
        return true;
    }

    public String toString() {
        return "entities.SimpleEntity[id=" + getId() + "]";
    }

    public String getSomeColumn() {
        return someColumn;
    }

    public void setSomeColumn(String someColumn) {
        this.someColumn = someColumn;
    }
    
}
